SessionEJB (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.SessionEJB class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class SessionEJB

    java.lang.Object
      org.hyperic.hq.measurement.server.session.SessionEJB

Direct Known Subclasses:
  AvailabilityManagerEJBImpl, DataCompressEJBImpl, DataManagerEJBImpl, EmailManagerEJBImpl, MeasurementManagerEJBImpl, MeasurementProcessorEJBImpl, ReportProcessorEJBImpl, SRNManagerEJBImpl, TemplateManagerEJBImpl, TrackerManagerEJBImpl

    public abstract class SessionEJB

extends java.lang.Object

This is the base class to Measurement Session EJB's

Field Summary
`protected static MeasurementPluginManager` | `_mpm`
`protected static java.lang.String` | `DATASOURCE_NAME`

Constructor Summary
`SessionEJB()`

Method Summary
`protected void` | `checkDeletePermission(java.lang.Integer subjectId, AppdefEntityID id)` Check for modify permission for a given resource
`protected void` | `checkModifyPermission(java.lang.Integer subjectId, AppdefEntityID id)` Check for modify permission for a given resource
`protected void` | `checkTimeArguments(long begin, long end)`
`protected void` | `deleteMetricProblems(java.util.Collection mids)`
`protected Agent` | `getAgent(AppdefEntityID id)`
`protected Agent` | `getAgent(java.lang.String agentToken)`
`protected org.hyperic.hq.appdef.shared.AgentManagerLocal` | `getAgentMan()`
`protected org.hyperic.hq.authz.shared.AuthzSubjectManagerLocal` | `getAuthzSubjectManager()`
`protected AvailabilityDataDAO` | `getAvailabilityDataDAO()`
`protected BaselineDAO` | `getBaselineDAO()`
`protected CategoryDAO` | `getCategoryDAO()`
`protected org.hyperic.hq.measurement.shared.DataManagerLocal` | `getDataMan()`
`protected javax.naming.InitialContext` | `getInitialContext()`
`protected MeasurementDAO` | `getMeasurementDAO()`
`protected MeasurementTemplateDAO` | `getMeasurementTemplateDAO()`
`protected MetricProblemDAO` | `getMetricProblemDAO()`
`protected MonitorableTypeDAO` | `getMonitorableTypeDAO()`
`protected MeasurementPluginManager` | `getMPM()`
`protected org.hyperic.hq.product.shared.ProductManagerLocal` | `getProductMan()`
`protected Resource` | `getResource(AppdefEntityID id)`
`protected ScheduleRevNumDAO` | `getScheduleRevNumDAO()`
`protected org.hyperic.hq.measurement.shared.SRNManagerLocal` | `getSRNManager()`
`protected org.hyperic.hq.measurement.shared.TemplateManagerLocal` | `getTemplateMan()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATASOURCE_NAME

    protected static final java.lang.String DATASOURCE_NAME

See Also:
  Constant Field Values

### _mpm

    protected static MeasurementPluginManager _mpm

Constructor Detail

### SessionEJB

    public SessionEJB()

Method Detail

### getBaselineDAO

    protected BaselineDAO getBaselineDAO()

### getCategoryDAO

    protected CategoryDAO getCategoryDAO()

### getAvailabilityDataDAO

    protected AvailabilityDataDAO getAvailabilityDataDAO()

### getMeasurementDAO

    protected MeasurementDAO getMeasurementDAO()

### getMeasurementTemplateDAO

    protected MeasurementTemplateDAO getMeasurementTemplateDAO()

### getMetricProblemDAO

    protected MetricProblemDAO getMetricProblemDAO()

### getMonitorableTypeDAO

    protected MonitorableTypeDAO getMonitorableTypeDAO()

### getScheduleRevNumDAO

    protected ScheduleRevNumDAO getScheduleRevNumDAO()

### getTemplateMan

    protected org.hyperic.hq.measurement.shared.TemplateManagerLocal getTemplateMan()

### getAuthzSubjectManager

    protected org.hyperic.hq.authz.shared.AuthzSubjectManagerLocal getAuthzSubjectManager()

### getDataMan

    protected org.hyperic.hq.measurement.shared.DataManagerLocal getDataMan()

### getAgentMan

    protected org.hyperic.hq.appdef.shared.AgentManagerLocal getAgentMan()

### getProductMan

    protected org.hyperic.hq.product.shared.ProductManagerLocal getProductMan()

### getMPM

    protected MeasurementPluginManager getMPM()

### getSRNManager

    protected org.hyperic.hq.measurement.shared.SRNManagerLocal getSRNManager()

### getInitialContext

    protected javax.naming.InitialContext getInitialContext()

### getAgent

    protected Agent getAgent(AppdefEntityID id)
                      throws MonitorAgentException

  Throws:
    `MonitorAgentException`

### getAgent

    protected Agent getAgent(java.lang.String agentToken)
                      throws MonitorAgentException

  Throws:
    `MonitorAgentException`

### checkModifyPermission

    protected void checkModifyPermission(java.lang.Integer subjectId,
                                         AppdefEntityID id)
                                  throws PermissionException

  Check for modify permission for a given resource

  Throws:
    `PermissionException`

### checkDeletePermission

    protected void checkDeletePermission(java.lang.Integer subjectId,
                                         AppdefEntityID id)
                                  throws PermissionException

  Check for modify permission for a given resource

  Throws:
    `PermissionException`

### checkTimeArguments

    protected void checkTimeArguments(long begin,
                                      long end)
                               throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### deleteMetricProblems

    protected void deleteMetricProblems(java.util.Collection mids)

### getResource

    protected Resource getResource(AppdefEntityID id)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.